<nav class="navbar justify-content-center">
      <a class="navbar-brand">
        <b>Amplify</b>Nature <br>
        A.I. for Ecology 

      </a>
</nav>
<div class="login-page"  [ngStyle]="{'background-image': 'url(' + background + ')'}" [@routerTransition]>
    
    
    <div class="row justify-content-md-center" *ngIf="loginPage && !hideLogin">
        <div class="col-md-4 login">

            <!-- <img *ngIf="!client" src="assets/images/orga.png" class="orga-avatar" /> -->
            <img *ngIf="client && client.orga_img_url && client.orga_img_url.includes('http')" src="{{ client.orga_img_url }}" class="orga-avatar" />
            <h2 *ngIf="!client || !client.orga_img_url || !client.orga_img_url.includes('http')" style="color: #0045A5; margin-top:20px; font-weight: normal;"><b>Amplify</b>Nature</h2>

            <!-- <form role="form"> -->
                <div class="form-content">
                    <p style="color: red; margin: 0;padding: 0;">
                        <small>{{ error }}</small>
                    </p>
                    <div class="form-group">
                  
                        <label class="has-float-label">
                          <input name="email" class="form-control" type="email" placeholder="" [(ngModel)]="email"  />
                          <span>{{ 'Email' | translate }}</span>
                        </label>
                    </div>

                    <div class="form-group">
                  
                        <label class="has-float-label">
                          <input name="password" class="form-control" type="password" placeholder="" [(ngModel)]="password" />
                          <span>{{ 'Password' | translate }}</span>
                        </label>
                    </div>

                    <div class="form-group lost-password">
                  
                        <a style="cursor: pointer;" (click)="forgotPassword()">{{"Forgot Password?" | translate}}</a>
                    </div>
           

              
                </div>
                <a class="btn btn-primary" *ngIf="!loading" (click)="onLoggedin()">{{ 'Log in' | translate }}</a>
                &nbsp;
                <button *ngIf="loading" class="btn btn-primary" type="button" disabled>
                  <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                  Loading...
                </button>
                <!-- <a class="btn rounded-btn" [routerLink]="['/signup']">{{ 'Register' | translate }}</a> -->
            <!-- </form> -->
        </div>
    </div>
    <div class="loading" *ngIf="loading">
        <ngx-loading  [show]="loading" [config]="{ backdropBorderRadius: '3px' }" [template]="customLoadingTemplate"></ngx-loading>
    </div>
    <div class="row justify-content-md-center" *ngIf="!loginPage && chooseOrga">
        <div class="col-md-4 login">
            <!-- <img src="assets/images/orga.png" class="orga-avatar" /> -->
             <img *ngIf="selectedOrga && selectedOrga.orga_img_url && selectedOrga.orga_img_url.includes('http')" src="{{ selectedOrga.orga_img_url }}" class="orga-avatar" />
           
            <!-- <h1>AmplifyNature</h1> -->
            <!-- <form role="form"> -->
                <div class="form-content">
                    <p style="color: red; margin: 0;padding: 0;">
                        <small>{{ error }}</small>
                    </p>
                    <p>
                        {{"Choisir votre organisation" | translate}}.
                    </p>
                    <div class="form-group">
                  
                        <label class="has-float-label">
                          
                          <select class="form-control" [(ngModel)]="curOrga" (change)="onChangeOrga()">
                            <optgroup label="Discours">
                                <ng-container *ngFor="let org of orga">
                                        <option *ngIf="( (org.app_1 || org.app_2) && (org.app_1.trim().toUpperCase() === 'DISCOURS' || org.app_2.trim().toUpperCase() === 'DISCOURS'))" value="{{ org.key }}">{{ org.organisation | titlecase }}</option>
                                </ng-container>
                            </optgroup>
                            <optgroup label="Sol">
                                <ng-container *ngFor="let org of orga">
                                        <option *ngIf="( (org.app_1 || org.app_2) && (org.app_1.trim().toUpperCase() === 'SOL' || org.app_2.trim().toUpperCase() === 'SOL'))" value="{{ org.key }}">{{ org.organisation | titlecase }}</option>
                                </ng-container>
                            </optgroup>
                            <!-- <option *ngFor="let org of orga" value="{{ org.key }}">{{ org.organisation | titlecase }}</option> -->
                        
                          </select>
                          <span>{{ 'Organisation' | translate }}</span>
                        </label>
                    </div>
           

              
                </div>
                <a class="btn btn-primary right" *ngIf="!loading" (click)="selectOrga()">{{ 'Valider' | translate }}</a>
                &nbsp;
               
                <button *ngIf="loading" class="btn btn-primary" type="button" disabled>
                  <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                  Loading...
                </button>
                <!-- <a class="btn rounded-btn" [routerLink]="['/signup']">{{ 'Register' | translate }}</a> -->
            <!-- </form> -->
        </div>
    </div>

    <div class="row justify-content-md-center" *ngIf="!loginPage">
        <div class="col-md-4 login">
            <!-- <img src="assets/images/orga.png" class="orga-avatar" /> -->
             <img *ngIf="client && client.orga_img_url && client.orga_img_url.includes('http')" src="{{ client.orga_img_url }}" class="orga-avatar" />
           
            <!-- <h1>AmplifyNature</h1> -->
            <!-- <form role="form"> -->
                <div class="form-content">
                    <p style="color: red; margin: 0;padding: 0;">
                        <small>{{ error }}</small>
                    </p>
                    <p>
                        {{"Send reset mail" | translate}}.
                    </p>
                    <div class="form-group">
                  
                        <label class="has-float-label">
                          <input class="form-control" type="email" placeholder="" [(ngModel)]="email"  />
                          <span>{{ 'Email' | translate }}</span>
                        </label>
                    </div>
           

              
                </div>
                <a class="btn btn-primary" *ngIf="!loading" (click)="resetPassword()">{{ 'Send' | translate }}</a>
                &nbsp;
                 <button class="btn btn-link" *ngIf="!loading" (click)="login()">{{ 'Log in' | translate }}</button>
                &nbsp;
                <button *ngIf="loading" class="btn btn-primary" type="button" disabled>
                  <span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>
                  Loading...
                </button>
                <!-- <a class="btn rounded-btn" [routerLink]="['/signup']">{{ 'Register' | translate }}</a> -->
            <!-- </form> -->
        </div>
    </div>
</div>